using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Hosting;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Hosting;
using Microsoft.Extensions.Logging;

namespace rockfishCore
{
    public class Program
    {
        public static void Main(string[] args)
        {
            CreateHostBuilder(args).Build().Run();
        }

        public static IHostBuilder CreateHostBuilder(string[] args) =>
            Host.CreateDefaultBuilder(args)
                .ConfigureWebHostDefaults(webBuilder =>
                {
                    webBuilder.UseStartup<Startup>()
                    .UseUrls("http://*:3001")
                .CaptureStartupErrors(true)
                .UseSetting("detailedErrors", "true")
                .UseKestrel()
                .UseContentRoot(System.IO.Directory.GetCurrentDirectory());
                });
    }
}




// namespace rockfishCore
// {
//     public class Program
//     {
//         public static void Main(string[] args)
//         {
//             BuildWebHost(args).Run();
//         }

//         public static IWebHost BuildWebHost(string[] args) =>
//             WebHost.CreateDefaultBuilder(args)
//                 .UseUrls("http://*:3001")
//                 .CaptureStartupErrors(true)
//                 .UseSetting("detailedErrors", "true")
//                 .UseKestrel()
//                 .UseContentRoot(System.IO.Directory.GetCurrentDirectory())
//                 .UseStartup<Startup>()
//                 .Build();
//     }
// }


